Bug 144278 - ES6 classes: Invalid test for constructor property
Summary: ES6 classes: Invalid test for constructor property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Minor
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on:
Blocks: 140491
  Show dependency treegraph
 
Reported: 2015-04-27 14:45 PDT by Erik Arvidsson
Modified: 2015-05-04 12:23 PDT (History)
7 users (show)

See Also:


Attachments
Fixes the test (2.51 KB, patch)
2015-05-03 16:33 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Arvidsson 2015-04-27 14:45:02 PDT
http://trac.webkit.org/browser/trunk/LayoutTests/js/script-tests/class-syntax-default-constructor.js#L15

Your behavior seems to be correct based on the -expected.txt
Comment 1 Ryosuke Niwa 2015-05-03 16:33:44 PDT
Created attachment 252292 [details]
Fixes the test
Comment 2 Ryosuke Niwa 2015-05-04 12:23:54 PDT
Comment on attachment 252292 [details]
Fixes the test

Clearing flags on attachment: 252292

Committed r183758: <http://trac.webkit.org/changeset/183758>
Comment 3 Ryosuke Niwa 2015-05-04 12:23:59 PDT
All reviewed patches have been landed.  Closing bug.